GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.Address Class Reference

## Public Member Functions
String | getName1 ()
void | setName1 (String value)
String | getName2 ()
void | setName2 (String value)
String | getName3 ()
void | setName3 (String value)
String | getCountryCode ()
void | setCountryCode (String value)
String | getProvince ()
void | setProvince (String value)
String | getZIPCode ()
void | setZIPCode (String value)
String | getCity ()
void | setCity (String value)
String | getStreet ()
void | setStreet (String value)
String | getStreetNumber ()
void | setStreetNumber (String value)
String | getEMail ()
void | setEMail (String value)
String | getContactPerson ()
void | setContactPerson (String value)
String | getFixedLinePhonenumber ()
void | setFixedLinePhonenumber (String value)
String | getMobilePhoneNumber ()
void | setMobilePhoneNumber (String value)

## Protected Attributes
String | name1
String | name2
String | name3
String | countryCode
String | province
String | zipCode
String | city
String | street
String | streetNumber
String | eMail
String | contactPerson
String | fixedLinePhonenumber
String | mobilePhoneNumber

## Detailed Description

Address attributes

Java class for Address complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Address">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Name1" type="{http://fpcs.gls-group.eu/v1/Common}AddressName"/>
            <element name="Name2" type="{http://fpcs.gls-group.eu/v1/Common}AddressName" minOccurs="0"/>
            <element name="Name3" type="{http://fpcs.gls-group.eu/v1/Common}AddressName" minOccurs="0"/>
            <element name="CountryCode" type="{http://fpcs.gls-group.eu/v1/Common}CountryCode"/>
            <element name="Province" type="{http://fpcs.gls-group.eu/v1/Common}Province" minOccurs="0"/>
            <element name="ZIPCode" type="{http://fpcs.gls-group.eu/v1/Common}ZIPCode" minOccurs="0"/>
            <element name="City" type="{http://fpcs.gls-group.eu/v1/Common}City"/>
            <element name="Street" type="{http://fpcs.gls-group.eu/v1/Common}StreetName"/>
            <element name="StreetNumber" type="{http://fpcs.gls-group.eu/v1/Common}StreetNumber" minOccurs="0"/>
            <element name="eMail" type="{http://fpcs.gls-group.eu/v1/Common}eMail" minOccurs="0"/>
            <element name="ContactPerson" type="{http://fpcs.gls-group.eu/v1/Common}ContactPerson" minOccurs="0"/>
            <element name="FixedLinePhonenumber" type="{http://fpcs.gls-group.eu/v1/Common}FixedLinePhonenumber" minOccurs="0"/>
            <element name="MobilePhoneNumber" type="{http://fpcs.gls-group.eu/v1/Common}MobilePhoneNumber" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 60 of file gls_group/fpcs/v1/common/Address.java.

## Member Function Documentation

## ◆ getCity()

String eu.gls_group.fpcs.v1.common.Address.getCity | ( |  | ) |

Gets the value of the city property.

Returns
  possible object is String

Definition at line 240 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getContactPerson()

String eu.gls_group.fpcs.v1.common.Address.getContactPerson | ( |  | ) |

Gets the value of the contactPerson property.

Returns
  possible object is String

Definition at line 336 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getCountryCode()

String eu.gls_group.fpcs.v1.common.Address.getCountryCode | ( |  | ) |

Gets the value of the countryCode property.

Returns
  possible object is String

Definition at line 168 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getEMail()

String eu.gls_group.fpcs.v1.common.Address.getEMail | ( |  | ) |

Gets the value of the eMail property.

Returns
  possible object is String

Definition at line 312 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getFixedLinePhonenumber()

String eu.gls_group.fpcs.v1.common.Address.getFixedLinePhonenumber | ( |  | ) |

Gets the value of the fixedLinePhonenumber property.

Returns
  possible object is String

Definition at line 360 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getMobilePhoneNumber()

String eu.gls_group.fpcs.v1.common.Address.getMobilePhoneNumber | ( |  | ) |

Gets the value of the mobilePhoneNumber property.

Returns
  possible object is String

Definition at line 384 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getName1()

String eu.gls_group.fpcs.v1.common.Address.getName1 | ( |  | ) |

Gets the value of the name1 property.

Returns
  possible object is String

Definition at line 96 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getName2()

String eu.gls_group.fpcs.v1.common.Address.getName2 | ( |  | ) |

Gets the value of the name2 property.

Returns
  possible object is String

Definition at line 120 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getName3()

String eu.gls_group.fpcs.v1.common.Address.getName3 | ( |  | ) |

Gets the value of the name3 property.

Returns
  possible object is String

Definition at line 144 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getProvince()

String eu.gls_group.fpcs.v1.common.Address.getProvince | ( |  | ) |

Gets the value of the province property.

Returns
  possible object is String

Definition at line 192 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getStreet()

String eu.gls_group.fpcs.v1.common.Address.getStreet | ( |  | ) |

Gets the value of the street property.

Returns
  possible object is String

Definition at line 264 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getStreetNumber()

String eu.gls_group.fpcs.v1.common.Address.getStreetNumber | ( |  | ) |

Gets the value of the streetNumber property.

Returns
  possible object is String

Definition at line 288 of file gls_group/fpcs/v1/common/Address.java.

## ◆ getZIPCode()

String eu.gls_group.fpcs.v1.common.Address.getZIPCode | ( |  | ) |

Gets the value of the zipCode property.

Returns
  possible object is String

Definition at line 216 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setCity()

void eu.gls_group.fpcs.v1.common.Address.setCity | ( | String | value | ) |

Sets the value of the city property.

Parameters

  value | allowed object is String

Definition at line 252 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setContactPerson()

void eu.gls_group.fpcs.v1.common.Address.setContactPerson | ( | String | value | ) |

Sets the value of the contactPerson property.

Parameters

  value | allowed object is String

Definition at line 348 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setCountryCode()

void eu.gls_group.fpcs.v1.common.Address.setCountryCode | ( | String | value | ) |

Sets the value of the countryCode property.

Parameters

  value | allowed object is String

Definition at line 180 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setEMail()

void eu.gls_group.fpcs.v1.common.Address.setEMail | ( | String | value | ) |

Sets the value of the eMail property.

Parameters

  value | allowed object is String

Definition at line 324 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setFixedLinePhonenumber()

void eu.gls_group.fpcs.v1.common.Address.setFixedLinePhonenumber | ( | String | value | ) |

Sets the value of the fixedLinePhonenumber property.

Parameters

  value | allowed object is String

Definition at line 372 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setMobilePhoneNumber()

void eu.gls_group.fpcs.v1.common.Address.setMobilePhoneNumber | ( | String | value | ) |

Sets the value of the mobilePhoneNumber property.

Parameters

  value | allowed object is String

Definition at line 396 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setName1()

void eu.gls_group.fpcs.v1.common.Address.setName1 | ( | String | value | ) |

Sets the value of the name1 property.

Parameters

  value | allowed object is String

Definition at line 108 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setName2()

void eu.gls_group.fpcs.v1.common.Address.setName2 | ( | String | value | ) |

Sets the value of the name2 property.

Parameters

  value | allowed object is String

Definition at line 132 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setName3()

void eu.gls_group.fpcs.v1.common.Address.setName3 | ( | String | value | ) |

Sets the value of the name3 property.

Parameters

  value | allowed object is String

Definition at line 156 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setProvince()

void eu.gls_group.fpcs.v1.common.Address.setProvince | ( | String | value | ) |

Sets the value of the province property.

Parameters

  value | allowed object is String

Definition at line 204 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setStreet()

void eu.gls_group.fpcs.v1.common.Address.setStreet | ( | String | value | ) |

Sets the value of the street property.

Parameters

  value | allowed object is String

Definition at line 276 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setStreetNumber()

void eu.gls_group.fpcs.v1.common.Address.setStreetNumber | ( | String | value | ) |

Sets the value of the streetNumber property.

Parameters

  value | allowed object is String

Definition at line 300 of file gls_group/fpcs/v1/common/Address.java.

## ◆ setZIPCode()

void eu.gls_group.fpcs.v1.common.Address.setZIPCode | ( | String | value | ) |

Sets the value of the zipCode property.

Parameters

  value | allowed object is String

Definition at line 228 of file gls_group/fpcs/v1/common/Address.java.

## Member Data Documentation

## ◆ city

String eu.gls_group.fpcs.v1.common.Address.city
| protected

Definition at line 75 of file gls_group/fpcs/v1/common/Address.java.

## ◆ contactPerson

String eu.gls_group.fpcs.v1.common.Address.contactPerson
| protected

Definition at line 82 of file gls_group/fpcs/v1/common/Address.java.

## ◆ countryCode

String eu.gls_group.fpcs.v1.common.Address.countryCode
| protected

Definition at line 69 of file gls_group/fpcs/v1/common/Address.java.

## ◆ eMail

String eu.gls_group.fpcs.v1.common.Address.eMail
| protected

Definition at line 80 of file gls_group/fpcs/v1/common/Address.java.

## ◆ fixedLinePhonenumber

String eu.gls_group.fpcs.v1.common.Address.fixedLinePhonenumber
| protected

Definition at line 84 of file gls_group/fpcs/v1/common/Address.java.

## ◆ mobilePhoneNumber

String eu.gls_group.fpcs.v1.common.Address.mobilePhoneNumber
| protected

Definition at line 86 of file gls_group/fpcs/v1/common/Address.java.

## ◆ name1

String eu.gls_group.fpcs.v1.common.Address.name1
| protected

Definition at line 63 of file gls_group/fpcs/v1/common/Address.java.

## ◆ name2

String eu.gls_group.fpcs.v1.common.Address.name2
| protected

Definition at line 65 of file gls_group/fpcs/v1/common/Address.java.

## ◆ name3

String eu.gls_group.fpcs.v1.common.Address.name3
| protected

Definition at line 67 of file gls_group/fpcs/v1/common/Address.java.

## ◆ province

String eu.gls_group.fpcs.v1.common.Address.province
| protected

Definition at line 71 of file gls_group/fpcs/v1/common/Address.java.

## ◆ street

String eu.gls_group.fpcs.v1.common.Address.street
| protected

Definition at line 77 of file gls_group/fpcs/v1/common/Address.java.

## ◆ streetNumber

String eu.gls_group.fpcs.v1.common.Address.streetNumber
| protected

Definition at line 79 of file gls_group/fpcs/v1/common/Address.java.

## ◆ zipCode

String eu.gls_group.fpcs.v1.common.Address.zipCode
| protected

Definition at line 73 of file gls_group/fpcs/v1/common/Address.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/common/Address.java